#!/usr/bin/perl -w

# Copyright (C) 2001 Mandrakesoft
# Author Philippe Libat <philippe@mandrakesoft.com>
# 
# $Id: shutdown.pl,v 1.1.1.1 2001/06/13 11:37:28 rchaillat Exp $
#

use strict;
use Errno;
use lib qw(/usr/lib/naat);
use backend::util;
use backend::config;

# Usage: shutdown.pl [trans_name] [reboot|halt]

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if (@ARGV);

my $action = shift @ARGV;
exit (1) unless defined $action;

if ($action =~ /reboot/) {
	system ("sudo","/sbin/shutdown","-r","now");
} elsif  ($action =~ /halt/) {
	system ("sudo","/sbin/shutdown","-h","now");
} else  {
	exit (1);
}
