#!/usr/bin/perl -W

# Copyright (C) 2000,2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
#
# $Id: update-initscripts.pl,v 1.1.1.1 2001/06/13 11:37:28 rchaillat Exp $
#

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if @ARGV;

if (! $transaction_name ) {
    $transaction_name = "$$";
    # initialize a backend transaction
    system ("config-wrapper.pl $transaction_name -i");
}

# Look for Active Ethernet Interfaces 
my $internet_access_type = `config-wrapper.pl $$ -g InternetAccessType`;

if (defined ($internet_access_type)) {

    $internet_access_type =~ /isdn/ && { 
	system ("chkconfig --add isdn4linux");
	system ("chkconfig --del adsl");
    };
    $internet_access_type =~ /modem/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --del adsl");
    };
    $internet_access_type =~ /adsl/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --add adsl");
    };
    $internet_access_type =~ /fixed/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --del adsl");
    };
    $internet_access_type =~ /cable/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --del adsl");
    };
}

if ( $transaction_name eq "$$" ) {
    # cleanup the transaction
    system ("config-wrapper.pl $transaction_name -a");
}
