#!/bin/bash
# $1 : prefix for building package
#
# $Id: install.sh,v 1.13 2002/03/07 17:27:05 philippe Exp $
#

#mkdir -p $1/sbin
mkdir -p $1/usr/bin
mkdir -p $1/usr/sbin
mkdir -p $1/usr/share/naat/{events,scripts,templates}
mkdir -p $1/etc/naat
mkdir -p $1/usr/lib/naat/backend
mkdir -p $1/var/lib/naat
#mkdir -p $1/etc/init.d
#mkdir -p $1/etc/diald
#mkdir -p $1/etc/Bastille
#mkdir -p $1/var/state/bastille
#mkfifo $1/etc/diald/diald.ctl

cp backend.conf $1/etc/naat
chmod 755 $1/etc/naat/backend.conf

# now replace by shorewall
#cp bastille-firewall $1/etc/init.d/
#chmod 755 $1/etc/init.d/bastille-firewall
#cp bastille-firewall.cfg $1/etc/Bastille
#cp bastille-firewall-reset $1/sbin
#cp bastille-firewall-schedule $1/sbin
#cp bastille-ipchains $1/sbin
#cp bastille-netfilter $1/sbin
#cp ifup-local $1/sbin

cp pingtest.conf $1/etc/

cp isdndb.net $1/etc/naat
chmod 755 $1/etc/naat/isdndb.net

# console
cp naat-console $1/usr/bin/
chmod 755 $1/usr/bin

# adsl reconnect script
cp adsl-reconnect.sh $1/usr/sbin/

# uncomment this line if you want to install manually (not build a package)
# chown :admin $1/var/lib/naat
chmod g+w $1/var/lib/naat

[ ! -f $1/var/lib/naat/configuration ] && cp configuration $1/var/lib/naat/configuration
[ ! -f $1/var/lib/naat/configuration.reset ] && cp configuration.reset $1/var/lib/naat/configuration.reset
# uncomment this line if you want to install manually (not build a package)
# chown :admin $1/var/lib/naat/configuration
chmod g+w $1/var/lib/naat/configuration
chmod g+w $1/var/lib/naat/configuration.reset

for file in lib/*; do
    cp $file $1/usr/lib/naat/backend/;
done;

for file in runtime/*.pl; do
    chmod 755 $file;
    # uncomment this line if you want to install manually (not build a package)
    # chown root. $file;
    cp -p $file $1/usr/bin/;
done;

#cp README $1/usr/share/naat/

sh ./events.sh $1
sh ./scripts.sh $1 
sh ./templates.sh $1


# TEMPORARY
#mkdir -p $1/usr/lib/libDrakX
#cp -f any.pm netconnect.pm modules.pm $1/usr/lib/libDrakX
