#!/bin/sh

# Copyright (C) 2001 Mandrakesoft
# Author Philippe Libat <philippe@mandrakesoft.com>
# 
# $Id: fw-services.sh,v 1.1.1.1 2001/06/13 11:37:28 rchaillat Exp $
#

# this script list tcp or udp services 

# Usage : fw-services.sh tcp 
# Usage : fw-services.sh udp 

# TODO: different argument / procotol and convert to 
# TODO: format  port (TCP=KKK,UDP=III), port2 ....
# $Id: fw-services.sh,v 1.1.1.1 2001/06/13 11:37:28 rchaillat Exp $

# Functions
Usage ()
{
echo "Usage: $0 [tcp|udp|icmp]" >&2
}

# number of argument
case $# in
	1)
	# first argument
	case $1 in
		tcp)  awk -F\# ' { print $1 } ' /etc/services | \
			  awk ' /[0-9]\/tcp/ { print $1} ' | sort | xargs |tr ' ' ','
		;;
		udp)  awk -F\# ' { print $1 } ' /etc/services | \
			  awk ' /[0-9]\/udp/ { print $1} ' | sort | xargs |tr ' ' ','
		;;
		icmp)  /sbin/ipchains -h icmp | grep -v '^ ' | awk  ' { if (FNR >3 )  print  $1 } ' | xargs | tr ' ' ','
		;;
		*) Usage
		exit 1
		;;
	esac 
	;;
#0) echo alone ;;
	*) Usage
 		exit 1
	;;
esac

exit 
#cat /etc/services | awk -F\# ' { print $1 }' | \
#awk '/[0-9]\/tcp/ { print $1} ' | sort | xargs |tr ' ' ',' 
#### End
